# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
service:
  external:
    enabled: true
    ports:
      smtp:
        port: 25
        nodePort: 30025
      smtps:
        port: 587

postfix:
  virtualMailboxDomains: "/etc/postfix/virtual_mailbox_domains.txt"
  transportMaps: "lmdb:/etc/postfix/transport.map"
  smtpSASLAuthEnable: "no"
  smtpdSASLAuthEnable: "no"
  smtpdSASLSecurityOptions: "noanonymous"
  smtpdSASLType: "dovecot"
  milterDefaultAction: "accept"
  rspamdHost: ""
  amavisHost: ""
  amavisPortIn: ""
  relayNets: ""
  smtpdMilters: "inet:clamav-milter:7357"
  hostname: "postfix"
  inetProtocols: "ipv4"
  smtpUseTLS: "yes"
  smtpdUseTLS: "yes"
  smtpdTLSCertFile: "/etc/tls/tls.crt"
  smtpdKeyFile: "/etc/tls/tls.key"

namespaceWatcher:
  enabled: true
...
